import React from 'react';
import { SuccessNotificationComponent, ISuccessNotificationProps as ICoreSuccessNotificationProps, IUseSuccessNotificationProps as ICoreUseSuccessNotificationProps } from '@reactionable/core';
export declare type ISuccessNotificationProps = ICoreSuccessNotificationProps;
export declare const SuccessNotification: SuccessNotificationComponent;
export declare type IUseSuccessNotificationProps = ICoreUseSuccessNotificationProps & ISuccessNotificationProps;
export declare const useSuccessNotification: (props: IUseSuccessNotificationProps) => {
    successNotification: React.ReactElement<any, string | ((props: any) => React.ReactElement<any, any> | null) | (new (props: any) => React.Component<any, any, any>)>;
    setSuccessNotification: (message?: string | undefined) => void;
};
