"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSuccessNotification = exports.SuccessNotification = void 0;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var core_1 = require("@reactionable/core");
var free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
var Notification_1 = require("./Notification");
var Alert_1 = require("../alert/Alert");
exports.SuccessNotification = function (_a) {
    var children = _a.children, props = tslib_1.__rest(_a, ["children"]);
    var variant = 'success';
    return (react_1.default.createElement(Notification_1.Notification, tslib_1.__assign({ variant: variant }, props),
        react_1.default.createElement(Alert_1.Alert, { variant: variant, icon: { icon: free_solid_svg_icons_1.faCheckCircle }, children: children, className: "mb-0" })));
};
exports.useSuccessNotification = function (props) {
    return core_1.useSuccessNotification(tslib_1.__assign(tslib_1.__assign({}, props), { Component: exports.SuccessNotification }));
};
//# sourceMappingURL=SuccessNotification.js.map